import { curry2, curry3, curry4 } from '@typed/curry';
import { remove as _remove, set as _set, updateTree as _updateTree, update as _update, get as _get, has as _has, iterateFromKey as _iterateFromKey, at as _at, keyAt as _keyAt, valueAt as _valueAt, indexOf as _indexOf, iterateFromIndex as _iterateFromIndex, isEqual as _isEqual, find as _find, findKey as _findKey, findValue as _findValue, iterateFrom as _iterateFrom, arrayFrom as _arrayFrom, unwrap as _unwrap, } from './functions';
export const remove = curry2(_remove);
export const set = curry3(_set);
export const updateTree = curry2(_updateTree);
export const update = curry3(_update);
export const get = curry2(_get);
export const has = curry2(_has);
export const iterateFromKey = curry3(_iterateFromKey);
export const at = curry2(_at);
export const keyAt = curry2(_keyAt);
export const valueAt = curry2(_valueAt);
export const indexOf = curry2(_indexOf);
export const iterateFromIndex = curry3(_iterateFromIndex);
export const isEqual = curry2(_isEqual);
export const find = curry3(_find);
export const findKey = curry3(_findKey);
export const findValue = curry3(_findValue);
export const iterateFrom = curry4(_iterateFrom);
export const arrayFrom = curry2(_arrayFrom);
export const unwrap = curry2(_unwrap);

//# sourceMappingURL=curried.js.map
